#!/usr/bin/env python3.6
from typing import Dict, List
REMOTE_IP: str = "54.219.219.208"
LOCAL_IP: str = "127.0.0.1"
KEY_PATH: str = "keys/development_test"
IPSET_NAME: str = "google"

AMI_LISTS: List[Dict] = [{'description': 'Amazon Linux 2 comes with five years support. It provides Linux kernel 4.14 tuned for optimal performance on Amazon EC2, systemd 219, GCC 7.3, Glibc 2.26, Binutils 2.29.1, and the latest software packages through extras.',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-0323c3dd2da7fb37d',
  'imageIdArm64': 'ami-0ce2e5b7d27317779',
  'platform': 'amazon',
  'ports': [22],
  'position': 478,
  'rootDeviceType': 'ebs',
  'title': 'Amazon Linux 2 AMI (HVM), SSD Volume Type',
  'totalImageSize': 8,
  'virtualizationType': 'hvm'},
 {'description': 'The Amazon Linux AMI is an EBS-backed, AWS-supported image. The default image includes AWS command line tools, Python, Ruby, Perl, and Java. The repositories include Docker, PHP, MySQL, PostgreSQL, and other packages.',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-0915e09cc7ceee3ab',
  'platform': 'amazon',
  'ports': [22],
  'position': 535,
  'rootDeviceType': 'ebs',
  'title': 'Amazon Linux AMI 2018.03.0 (HVM), SSD Volume Type',
  'totalImageSize': 8,
  'virtualizationType': 'hvm'},
 {'description': 'Red Hat Enterprise Linux version 8 (HVM), EBS General Purpose (SSD) Volume Type',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-098f16afa9edf40be',
  'imageIdArm64': 'ami-029ba835ddd43c34f',
  'platform': 'rhel',
  'ports': [22],
  'position': 564,
  'rootDeviceType': 'ebs',
  'title': 'Red Hat Enterprise Linux 8 (HVM), SSD Volume Type',
  'totalImageSize': 10,
  'virtualizationType': 'hvm'},
 {'description': 'SUSE Linux Enterprise Server 15 Service Pack 1 (HVM), EBS General Purpose (SSD) Volume Type.  Public Cloud, Advanced Systems Management, Web and Scripting, and Legacy modules enabled.',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-0068cd63259e9f24c',
  'imageIdArm64': 'ami-062c482b34db4e4e0',
  'platform': 'suse',
  'ports': [22],
  'position': 577,
  'rootDeviceType': 'ebs',
  'title': 'SUSE Linux Enterprise Server 15 SP1 (HVM), SSD Volume Type',
  'totalImageSize': 10,
  'virtualizationType': 'hvm'},
 {'description': 'Ubuntu Server 18.04 LTS (HVM),EBS General Purpose (SSD) Volume Type. Support available from Canonical (http://www.ubuntu.com/cloud/services).',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-085925f297f89fce1',
  'imageIdArm64': 'ami-05d7ab19b28efa213',
  'platform': 'ubuntu',
  'ports': [22],
  'position': 594,
  'rootDeviceType': 'ebs',
  'title': 'Ubuntu Server 18.04 LTS (HVM), SSD Volume Type',
  'totalImageSize': 8,
  'virtualizationType': 'hvm'},
 {'description': 'Ubuntu Server 16.04 LTS (HVM),EBS General Purpose (SSD) Volume Type. Support available from Canonical (http://www.ubuntu.com/cloud/services).',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-039a49e70ea773ffc',
  'imageIdArm64': 'ami-0518d56c57a34cf51',
  'platform': 'ubuntu',
  'ports': [22],
  'position': 604,
  'rootDeviceType': 'ebs',
  'title': 'Ubuntu Server 16.04 LTS (HVM), SSD Volume Type',
  'totalImageSize': 8,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2019 Datacenter edition. [English]',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-0c278895328cddfdd',
  'platform': 'windows',
  'ports': [3389],
  'position': 609,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2019 Base',
  'totalImageSize': 30,
  'virtualizationType': 'hvm'},
 {'description': 'MXNet-1.6.0, Tensorflow-2.1.0 & 1.15.2, PyTorch-1.4.0, Keras-2.2, & other frameworks, configured with Neuron, NVIDIA CUDA, cuDNN, NCCL, Intel MKL-DNN, Docker & NVIDIA-Docker. For fully managed experience, check: https://aws.amazon.com/sagemaker',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0c5642befe8d041bb',
  'platform': 'ubuntu',
  'ports': [22],
  'position': 613,
  'rootDeviceType': 'ebs',
  'title': 'Deep Learning AMI (Ubuntu 18.04) Version 28.0',
  'totalImageSize': 90,
  'virtualizationType': 'hvm'},
 {'description': 'MXNet-1.6.0, Tensorflow-2.1.0 & 1.15.2, PyTorch-1.4.0, Keras-2.2, & other frameworks, configured with Neuron, NVIDIA CUDA, cuDNN, NCCL, Intel MKL-DNN, Docker & NVIDIA-Docker. For fully managed experience, check: https://aws.amazon.com/sagemaker',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-05f3033402be9c7cd',
  'platform': 'ubuntu',
  'ports': [22],
  'position': 614,
  'rootDeviceType': 'ebs',
  'title': 'Deep Learning AMI (Ubuntu 16.04) Version 28.0',
  'totalImageSize': 105,
  'virtualizationType': 'hvm'},
 {'description': 'MXNet-1.6.0, Tensorflow-2.1.0 & 1.15.2, PyTorch-1.4.0, Keras-2.2, & other frameworks, configured with Neuron, NVIDIA CUDA, cuDNN, NCCL, Intel MKL-DNN, Docker & NVIDIA-Docker. For fully managed experience, check: https://aws.amazon.com/sagemaker',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-07ca06b4ddd236275',
  'platform': 'amazon',
  'ports': [22],
  'position': 615,
  'rootDeviceType': 'ebs',
  'title': 'Deep Learning AMI (Amazon Linux 2) Version 28.0',
  'totalImageSize': 90,
  'virtualizationType': 'hvm'},
 {'description': 'Comes with foundational platform of NVidia CUDA, cuDNN, NCCL, GPU Drivers, Intel MKL-DNN and other system libraries to deploy your own custom deep learning environment. For a fully managed experience, check: https://aws.amazon.com/sagemaker',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-019266bf7a55994a7',
  'platform': 'ubuntu',
  'ports': [22],
  'position': 622,
  'rootDeviceType': 'ebs',
  'title': 'Deep Learning Base AMI (Ubuntu 18.04) Version 23.0',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Comes with foundational platform of NVidia CUDA, cuDNN, NCCL, GPU Drivers, Intel MKL-DNN and other system libraries to deploy your own custom deep learning environment. For a fully managed experience, check: https://aws.amazon.com/sagemaker',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0adebed4facd78f14',
  'platform': 'ubuntu',
  'ports': [22],
  'position': 624,
  'rootDeviceType': 'ebs',
  'title': 'Deep Learning Base AMI (Ubuntu 16.04) Version 23.0',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2019 Datacenter edition with Containers. [English]',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-004c4e3e4e4e3795f',
  'platform': 'windows',
  'ports': [3389],
  'position': 627,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2019 Base with Containers',
  'totalImageSize': 30,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2019 Datacenter edition, Microsoft SQL Server 2017 Standard. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0530e28670fc2d1b9',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 630,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2019 with SQL Server 2017 Standard',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2019 Datacenter edition, Microsoft SQL Server 2017 Enterprise. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-02f233f4f2c00b6d0',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 632,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2019 with SQL Server 2017 Enterprise',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2019 Datacenter edition, Microsoft SQL Server 2019 Standard. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-07928d60e8abd7664',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 634,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2019 with SQL Server 2019 Standard',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2019 Datacenter edition, Microsoft SQL Server 2019 Enterprise. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0ba810f35403afa8d',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 636,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2019 with SQL Server 2019 Enterprise',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows Server 1909 Semi-Annual Channel release [English]',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-072391f5e4cacbb7b',
  'platform': 'windows',
  'ports': [3389],
  'position': 638,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 1909 Core Base',
  'totalImageSize': 30,
  'virtualizationType': 'hvm'},
 {'description': 'Comes with foundational platform of NVidia CUDA, cuDNN, NCCL, GPU Drivers, Intel MKL-DNN and other system libraries to deploy your own custom deep learning environment. For a fully managed experience, check: https://aws.amazon.com/sagemaker',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0bdcb553793be7724',
  'platform': 'amazon',
  'ports': [22],
  'position': 640,
  'rootDeviceType': 'ebs',
  'title': 'Deep Learning Base AMI (Amazon Linux 2) Version 23.0',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2016 Datacenter edition. [English]',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-0f7122ac3de6f22b2',
  'platform': 'windows',
  'ports': [3389],
  'position': 641,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2016 Base',
  'totalImageSize': 30,
  'virtualizationType': 'hvm'},
 {'description': 'MXNet-1.6.0, Tensorflow-2.1.0 & 1.15.2, PyTorch-1.4.0, Keras-2.2, & other frameworks, configured with Elastic Inference, NVIDIA CUDA, cuDNN, NCCL, Intel MKL-DNN, Docker & NVIDIA-Docker. For fully managed experience, check: https://aws.amazon.com/sagemaker',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-02e34604ecdd4f208',
  'platform': 'amazon',
  'ports': [22],
  'position': 647,
  'rootDeviceType': 'ebs',
  'title': 'Deep Learning AMI (Amazon Linux) Version 28.0',
  'totalImageSize': 100,
  'virtualizationType': 'hvm'},
 {'description': 'Comes with foundational platform of NVidia CUDA, cuDNN, NCCL, GPU Drivers, Intel MKL-DNN and other system libraries to deploy your own custom deep learning environment. For a fully managed experience, check: https://aws.amazon.com/sagemaker',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0e7c1621221a80ed9',
  'platform': 'amazon',
  'ports': [22],
  'position': 648,
  'rootDeviceType': 'ebs',
  'title': 'Deep Learning Base AMI (Amazon Linux) Version 23.0',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2016 Datacenter edition with Containers. [English]',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-093c842241fc017b1',
  'platform': 'windows',
  'ports': [3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2016 Base with Containers',
  'totalImageSize': 30,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows Server 2016 with Tensorflow, Caffe and MXNet. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0aedb6f2f29802c6e',
  'platform': 'windows',
  'ports': [3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Deep Learning AMI (Microsoft Windows Server 2016)',
  'totalImageSize': 60,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2016 Datacenter edition, Microsoft SQL Server 2016 Standard. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0dba283d114e0fae0',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2016 with SQL Server 2016 Standard',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2016 Datacenter edition, Microsoft SQL Server 2016 Enterprise. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0c1c61c980b2b10ce',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2016 with SQL Server 2016 Enterprise',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2016 Datacenter edition, Microsoft SQL Server 2017 Standard. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-03eee380e7b168fc3',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2016 with SQL Server 2017 Standard',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2016 Datacenter edition, Microsoft SQL Server 2017 Enterprise. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-025cff197382cb954',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2016 with SQL Server 2017 Enterprise',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2016 Datacenter edition, Microsoft SQL Server 2019 Standard. [English]',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-00c30a26da9bdbb09',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2016 with SQL Server 2019 Standard',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2016 Datacenter edition, Microsoft SQL Server 2019 Enterprise. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0abb3221f6f8925be',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2016 with SQL Server 2019 Enterprise',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows 2012 R2 Standard edition with 64-bit architecture. [English]',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-06b0c9a730e8035be',
  'platform': 'windows',
  'ports': [3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2012 R2 Base',
  'totalImageSize': 30,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows Server 2012 R2 Standard edition, 64-bit architecture, Microsoft SQL Server 2016 Standard edition. [English]',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-01e99ab4dac72e3e4',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2012 R2 with SQL Server 2016 Standard',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft Windows Server 2012 R2 Standard edition, 64-bit architecture, Microsoft SQL Server 2016 Enterprise edition. [English]',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-0d7a80ec89d56aeef',
  'platform': 'windows',
  'ports': [1433, 3389],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Microsoft Windows Server 2012 R2 with SQL Server 2016 Enterprise',
  'totalImageSize': 50,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft SQL Server 2017 Standard edition on Amazon Linux 2 LTS. The AMI also comes pre-installed with.NET Core 2.0 and PowerShell 6.0.',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-087a6127ba9676bb6',
  'platform': 'amazon',
  'ports': [1433, 22],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Amazon Linux 2 LTS with SQL Server 2017 Standard',
  'totalImageSize': 30,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft SQL Server 2017 Standard edition on Ubuntu Server 16.04 LTS. The AMI also comes pre-installed with.NET Core 2.0 and PowerShell 6.0.',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-003dae68d018759d1',
  'platform': 'ubuntu',
  'ports': [1433, 22],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Ubuntu Server 16.04 LTS (HVM) with SQL Server 2017 Standard',
  'totalImageSize': 30,
  'virtualizationType': 'hvm'},
 {'description': '.NET Core 3.1, Mono 6.8, PowerShell 6.2, and MATE DE pre-installed to run your .NET applications on Amazon Linux 2 with Long Term Support (LTS).',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-0652d6c7a2e2d090a',
  'platform': 'amazon',
  'ports': [22],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Amazon Linux 2 with .Net Core, PowerShell, Mono, and MATE Desktop Environment',
  'totalImageSize': 8,
  'virtualizationType': 'hvm'},
 {'description': 'Microsoft SQL Server 2019 Standard edition on Amazon Linux 2 LTS. The AMI also comes pre-installed with.NET Core 3.0 and PowerShell 6.2.',
  'enaSupport': True,
  'freeTier': False,
  'imageId64': 'ami-0a28a1ad6f52a7332',
  'platform': 'amazon',
  'ports': [1433, 22],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Amazon Linux 2 LTS with SQL Server 2019 Standard',
  'totalImageSize': 30,
  'virtualizationType': 'hvm'},
 {'description': 'Ubuntu Server 20.04 LTS (HVM),EBS General Purpose (SSD) Volume Type. Support available from Canonical (http://www.ubuntu.com/cloud/services).',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-068663a3c619dd892',
  'imageIdArm64': 'ami-00579fbb15b954340',
  'platform': 'ubuntu',
  'ports': [22],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'Ubuntu Server 20.04 LTS (HVM), SSD Volume Type',
  'totalImageSize': 8,
  'virtualizationType': 'hvm'},
 {'description': 'SUSE Linux Enterprise Server 12 Service Pack 5 (HVM), EBS General Purpose (SSD) Volume Type.  Public Cloud, Advanced Systems Management, Web and Scripting, and Legacy modules enabled.',
  'enaSupport': True,
  'freeTier': True,
  'imageId64': 'ami-095d73d5068ebbc22',
  'platform': 'suse',
  'ports': [22],
  'position': 649,
  'rootDeviceType': 'ebs',
  'title': 'SUSE Linux Enterprise Server 12 SP5 (HVM), SSD Volume Type',
  'totalImageSize': 10,
  'virtualizationType': 'hvm'}]


